
# FileDiff

> [!NOTE]
> All of our free software is designed to respect your privacy, while being as simple to use as possible. Our free software is licensed under the [BSD-3-Clause license](https://ravendevteam.org/files/BSD-3-Clause.txt). By using our software, you acknowledge and agree to the terms of the license.

Simple utility for comparing the contents of two files. 

Made for Windows 10/11 and MacOS.

Linux is likely functional, however it is not officially supported. Linux binaries will not be released officially, so you will need to compile from source yourself to obtain a linux executable.

## Installation
See [Releases](https://github.com/ravendevteam/filediff/releases). Download the latest version for your platform (Windows or macOS currently available).

To compile from source, make sure you have Python 3.12.4 or greater, and Nuitka, then run either `build.bat`, `build-macos.sh` or `build-linux.sh`, depending on your platform (Windows, MacOS, or Linux).

## Screenshots

![Demo Screenshot 1](https://raw.githubusercontent.com/ravendevteam/filediff/refs/heads/main/demo_screenshot_1.png)

![Demo Screenshot 2](https://raw.githubusercontent.com/ravendevteam/filediff/refs/heads/main/demo_screenshot_2.png)

## Personalize The Application

To personalize the application, create **fdstyle.css** in your user folder (*ex: C:\Users\Paul\fdstyle.css*). Edit the file to include any CSS styling you want, save your changes, then restart FileDiff. If done correctly, it should load your custom styling.

> [!NOTE]
> FileDiff's UI is built with Qt5 (*PyQt5, to be specific*). You can read the documentation for Qt5 CSS styling [here](https://doc.qt.io/qt-5/stylesheet-syntax.html).

## Authors & Contributors

- [Raven Development Team](https://ravendevteam.org/)
- [Icons by Icons8](https://icons8.com/)
